chirp_statfs Struct Reference

Describes the properties of a file system, much like the Unix statfs structure. More...

`#include <chirp_types.h>`

## Data Fields

INT64_T | f_type
| The integer type of the filesystem.
INT64_T | f_blocks
| The total number of blocks in the filesystem.
INT64_T | f_bavail
| The number of blocks available to an ordinary user.
INT64_T | f_bsize
| The size in bytes of a block.
INT64_T | f_bfree
| The number of blocks free.
INT64_T | f_files
| The maximum number of files (inodes) on the filesystem.
INT64_T | f_ffree
| The number of files (inodes) currently in use.

## Detailed Description

Describes the properties of a file system, much like the Unix statfs structure.

See also
  chirp_reli_statfs, chirp_reli_fstatfs

## Field Documentation

## f_type

INT64_T chirp_statfs::f_type

The integer type of the filesystem.

## f_blocks

INT64_T chirp_statfs::f_blocks

The total number of blocks in the filesystem.

## f_bavail

INT64_T chirp_statfs::f_bavail

The number of blocks available to an ordinary user.

## f_bsize

INT64_T chirp_statfs::f_bsize

The size in bytes of a block.

## f_bfree

INT64_T chirp_statfs::f_bfree

The number of blocks free.

## f_files

INT64_T chirp_statfs::f_files

The maximum number of files (inodes) on the filesystem.

## f_ffree

INT64_T chirp_statfs::f_ffree

The number of files (inodes) currently in use.

The documentation for this struct was generated from the following file:

- chirp_types.h